org.keycloak.authentication.authenticators.browser

## Class AbstractUsernameFormAuthenticator

- java.lang.Object
- - org.keycloak.authentication.AbstractFormAuthenticator
  - - org.keycloak.authentication.authenticators.browser.AbstractUsernameFormAuthenticator

- All Implemented Interfaces:
    Authenticator, Provider
  Direct Known Subclasses:
    BasicAuthAuthenticator, CliUsernamePasswordAuthenticator, ConsoleUsernamePasswordAuthenticator, OTPFormAuthenticator, SpnegoAuthenticator, UsernamePasswordForm

      public abstract class AbstractUsernameFormAuthenticator
      extends AbstractFormAuthenticator

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ATTEMPTED_USERNAME`
    `static String` | `REGISTRATION_FORM_ACTION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractUsernameFormAuthenticator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `action(AuthenticationFlowContext context)` Called from a form action invocation.
    `protected javax.ws.rs.core.Response` | `challenge(AuthenticationFlowContext context, String error)`
    `protected javax.ws.rs.core.Response` | `challenge(AuthenticationFlowContext context, String error, String field)`
    `protected javax.ws.rs.core.Response` | `createLoginForm(LoginFormsProvider form)`
    `protected void` | `dummyHash(AuthenticationFlowContext context)`
    `boolean` | `enabledUser(AuthenticationFlowContext context, UserModel user)`
    `protected String` | `getDefaultChallengeMessage(AuthenticationFlowContext context)`
    `protected boolean` | `isTemporarilyDisabledByBruteForce(AuthenticationFlowContext context, UserModel user)`
    `protected void` | `runDefaultDummyHash(AuthenticationFlowContext context)`
    `protected javax.ws.rs.core.Response` | `setDuplicateUserChallenge(AuthenticationFlowContext context, String eventError, String loginFormError, AuthenticationFlowError authenticatorError)`
    `protected String` | `tempDisabledError()`
    `protected String` | `tempDisabledFieldError()`
    `void` | `testInvalidUser(AuthenticationFlowContext context, UserModel user)`
    `boolean` | `validatePassword(AuthenticationFlowContext context, UserModel user, javax.ws.rs.core.MultivaluedMap<String,String> inputData)`
    `boolean` | `validatePassword(AuthenticationFlowContext context, UserModel user, javax.ws.rs.core.MultivaluedMap<String,String> inputData, boolean clearUser)`
    `boolean` | `validateUser(AuthenticationFlowContext context, javax.ws.rs.core.MultivaluedMap<String,String> inputData)`
    `boolean` | `validateUserAndPassword(AuthenticationFlowContext context, javax.ws.rs.core.MultivaluedMap<String,String> inputData)`

    - ### Methods inherited from class org.keycloak.authentication.AbstractFormAuthenticator

      `close`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.authentication.Authenticator

      `areRequiredActionsEnabled, authenticate, configuredFor, getRequiredActions, requiresUser, setRequiredActions`

- - ### Field Detail

    - #### REGISTRATION_FORM_ACTION

          public static final String REGISTRATION_FORM_ACTION

      See Also:
        Constant Field Values

    - #### ATTEMPTED_USERNAME

          public static final String ATTEMPTED_USERNAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractUsernameFormAuthenticator

          public AbstractUsernameFormAuthenticator()

  - ### Method Detail

    - #### action

          public void action(AuthenticationFlowContext context)

      Description copied from interface: `Authenticator`
      Called from a form action invocation.

    - #### challenge

          protected javax.ws.rs.core.Response challenge(AuthenticationFlowContext context,
                                                        String error)

    - #### challenge

          protected javax.ws.rs.core.Response challenge(AuthenticationFlowContext context,
                                                        String error,
                                                        String field)

    - #### createLoginForm

          protected javax.ws.rs.core.Response createLoginForm(LoginFormsProvider form)

    - #### tempDisabledError

          protected String tempDisabledError()

    - #### tempDisabledFieldError

          protected String tempDisabledFieldError()

    - #### setDuplicateUserChallenge

          protected javax.ws.rs.core.Response setDuplicateUserChallenge(AuthenticationFlowContext context,
                                                                        String eventError,
                                                                        String loginFormError,
                                                                        AuthenticationFlowError authenticatorError)

    - #### runDefaultDummyHash

          protected void runDefaultDummyHash(AuthenticationFlowContext context)

    - #### dummyHash

          protected void dummyHash(AuthenticationFlowContext context)

    - #### testInvalidUser

          public void testInvalidUser(AuthenticationFlowContext context,
                                      UserModel user)

    - #### enabledUser

          public boolean enabledUser(AuthenticationFlowContext context,
                                     UserModel user)

    - #### validateUserAndPassword

          public boolean validateUserAndPassword(AuthenticationFlowContext context,
                                                 javax.ws.rs.core.MultivaluedMap<String,String> inputData)

    - #### validateUser

          public boolean validateUser(AuthenticationFlowContext context,
                                      javax.ws.rs.core.MultivaluedMap<String,String> inputData)

    - #### validatePassword

          public boolean validatePassword(AuthenticationFlowContext context,
                                          UserModel user,
                                          javax.ws.rs.core.MultivaluedMap<String,String> inputData)

    - #### validatePassword

          public boolean validatePassword(AuthenticationFlowContext context,
                                          UserModel user,
                                          javax.ws.rs.core.MultivaluedMap<String,String> inputData,
                                          boolean clearUser)

    - #### isTemporarilyDisabledByBruteForce

          protected boolean isTemporarilyDisabledByBruteForce(AuthenticationFlowContext context,
                                                              UserModel user)

    - #### getDefaultChallengeMessage

          protected String getDefaultChallengeMessage(AuthenticationFlowContext context)

Copyright © 2021 JBoss by Red Hat. All rights reserved.